#----------------------------------------------------------------------------
# Name :          AddPage
# Description :   Displays page name on screen on its own layer
# Author :        TIG
# Usage :         Select Plugins | Add Page Name
# Date :          19/8/5
# Type :          tool
# History:        1.0 	first issue
#				  1.1   layer setting adjusted 15/07/06
#         1.2   layer visibility adjusted 16/06/07
#		  1.3   layer off in all but this page 05/11/07
#----------------------------------------------------------------------------
=begin
=end
require 'sketchup.rb'
class AddPage
   @layerprefix = "-PAGE-" ### edit these 3 to suit your requirements ###
   @posX = 44 ### % x to locn at btm cntr of screen ###
   @posY = 98 ### % y to locn at btm cntr of screen ###
def AddPage::add
   	@model=Sketchup.active_model
	if not @model.pages[0]
		UI.messagebox("There are NO Pages:Scenes !")
		return nil
	end
	get_pagename
	###
   	@layers=@model.layers
   	@pagelayer=@layers.add(@layerprefix+@pagename)
	pb=@pagelayer.page_behavior=LAYER_IS_HIDDEN_ON_NEW_PAGES###
    @model.pages.each{|p|p.set_visibility(@pagelayer,false)}###
	@model.pages.selected_page.set_visibility(@pagelayer,true)###
	@pagetxt= @model.add_note @pagename,@posX.to_f/100.to_f,@posY.to_f/100.to_f
	@pagetxt.layer=@pagelayer
	###
	UI.messagebox("The Page:Scene Name \t\" #{@pagename} \"\nhas been put on Layer \t\"#{@pagelayer.name}\"\n\nNote that this Layer will be 'ON' only for this Page:Scene:\nby default it's 'OFF' in all others (including any new ones)\n")
end
def AddPage::get_pagename
	@pagename=@model.pages.selected_page.name
end
end ### class
#----------------------------------------------------------------------------
# add menu items
if( not $pagename_menu_loaded )
  ###UI.menu("Plugins").add_separator
  UI.menu("Plugins").add_item("Add Page Name") { AddPage.add }
  ###$submenu7.add_item("Add Page:Scene Name") { AddPage.add }
end
$pagename_menu_loaded=true
#----------------------------------------------------------------------------
